#!/bin/sh
#############################################################
# Copyright 2010 Oki Data Corporation
#############################################################
# uninstalls PPD and/or filter
#############################################################


PATH=/bin:/usr/sbin:/usr/bin
export PATH

ECHO="/bin/echo"
RM="/bin/rm"

programName="uninstall.sh"
CUPSFILTER_PATH="/usr/lib/cups/filter"
PPD_PATH="/usr/share/ppd"
CUPSPPD_PATH="/usr/share/cups/model/ok400pcl.ppd*"

OKI_FILTER="${CUPSFILTER_PATH}/rastertookimonochrome"
OKI_PPD="${PPD_PATH}/ok400pcl.ppd*"

if [ `id -u` -ne 0 ] ; then
	${ECHO}  "${programName}: ERROR: must be root"
	exit 1
fi

${RM} -rf ${OKI_FILTER} ${OKI_PPD} ${CUPSPPD_PATH} > /dev/null 2>&1

CUPS="/etc/init.d/cups"
CUPSD="/etc/init.d/cupsd"
CUPSYS="/etc/init.d/cupsys"

for i in ${CUPS} ${CUPSD} ${CUPSYS}
do
	${i} restart > /dev/null 2>&1
done

${ECHO} "INFO: ${programName} completed . . ."

exit 0
